osgWidget::Callback Class Reference

`#include <EventInterface>`

Inheritance diagram for osgWidget::Callback:

## Public Member Functions

| Callback ()
| Callback (const Callback &rhs)
virtual const char * | className () const
| Callback (EventType type, void *data=0)
template<typename T>
| Callback (bool(T::*function)(Event &), T *obj, EventType type, void *data=0)
template<typename T>
| Callback (T *functor, EventType type, void *data=0)
virtual | ~Callback ()
virtual bool | operator() (Event &ev)
EventType | getType () const
void * | getData ()
const void * | getData () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

EventType | _type
void * | _data
osg::ref_ptr< CallbackInterface > | _callback
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## Callback() [1/5]

osgWidget::Callback::Callback | ( |  | ) |

inline

References _callback, _data, _type, and osgWidget::EVENT_NONE.

Referenced by Callback().

## Callback() [2/5]

osgWidget::Callback::Callback | ( | const Callback & | rhs | ) |

inline

References _callback, _data, _type, Callback(), and osg::Referenced::Referenced().

## Callback() [3/5]

osgWidget::Callback::Callback | ( | EventType | type,
|  | void * | data = 0 )

inline

References _callback, _data, and _type.

## Callback() [4/5]

template<typename T>

osgWidget::Callback::Callback | ( | bool(T::* | function )(Event &),
|  | T * | obj,
|  | EventType | type,
|  | void * | data = 0 )

inline

References _callback, _data, and _type.

## Callback() [5/5]

template<typename T>

osgWidget::Callback::Callback | ( | T * | functor,
|  | EventType | type,
|  | void * | data = 0 )

inline

References _callback, _data, and _type.

## ~Callback()

virtual osgWidget::Callback::~Callback | ( |  | ) |

inline virtual

## Member Function Documentation

## className()

virtual const char * osgWidget::Callback::className | ( |  | ) | const

inline virtual

## getData() [1/2]

void * osgWidget::Callback::getData | ( |  | ) |

inline

References _data.

## getData() [2/2]

const void * osgWidget::Callback::getData | ( |  | ) | const

inline

References _data.

## getType()

EventType osgWidget::Callback::getType | ( |  | ) | const

inline

References _type.

## operator()()

virtual bool osgWidget::Callback::operator() | ( | Event & | ev | ) |

inline virtual

References _callback.

## Member Data Documentation

## _callback

osg::ref_ptr<CallbackInterface> osgWidget::Callback::_callback

protected

Referenced by Callback(), Callback(), Callback(), Callback(), Callback(), and operator()().

## _data

void* osgWidget::Callback::_data

protected

Referenced by Callback(), Callback(), Callback(), Callback(), Callback(), getData(), and getData().

## _type

EventType osgWidget::Callback::_type

protected

Referenced by Callback(), Callback(), Callback(), Callback(), Callback(), and getType().

The documentation for this class was generated from the following file:

- EventInterface